/*

 Owner: Florian Albrecht <florian@boinx.com>
 Company: Boinx Software Ltd., Germany
 Projects: BXAppKit

 Abstract: This subclass of MAAttachedWindow by Matt Gemmell adds the option to have a NSGradient as background of a window	

 Related: MAAttachedWindow

 Documentation: not available

 */


#if defined(MAC_OS_X_VERSION_10_5) && MAC_OS_X_VERSION_MIN_REQUIRED >= MAC_OS_X_VERSION_10_5

#import <BXAppKit/MAAttachedWindow.h>


@interface BXAttachedWindow : MAAttachedWindow
{
    NSGradient *_backgroundGradient;
}

@property (retain) NSGradient * backgroundGradient;

@end

#endif