/*

 Owner: Stefan Neumärker <stefan@boinx.com>
 Company: Boinx Software Ltd., Germany
 Projects: BXAppKit

 Abstract: <#abstract#>	

 Related: <#related#>

 Documentation: <#link to documentation#>

 */

#if defined(MAC_OS_X_VERSION_10_5) && MAC_OS_X_VERSION_MIN_REQUIRED >= MAC_OS_X_VERSION_10_5


#import "BXPopOverWindowController.h"


@interface BXPopOverAlertController : BXPopOverWindowController
{
	IBOutlet NSWindow *_ibAlertWindow;
	
	IBOutlet NSTextField *_ibAlertMessageTextField;
	IBOutlet NSTextField *_ibRecoveryHintTextField;
	
	NSView *_popOverView;
	
	NSNib *_alertWindowNib;
}

@property (retain) NSView *popOverView; 

- (void)displayError:(NSError *)inError onUIElement:(NSView *)inView;

@end

#endif