/*
	Author:			Peter Baumgartner		Tel:  (+4989) 649-43875
					Rosskopfstr. 20			Mail: peter@baumgartner.com
					82031 Grnwald			
					Germany					
	
					Copyright  2006 by Peter Baumgartner - All Rights Reserved
*/

#import "CTGradient.h"
	
@interface BXSidebarTabView : NSTabView
{
	BOOL _enableAnimation;
	id _animation;
	NSRect _imageRect;
	BOOL _slideIn;
	NSImage* _oldImage;
	NSImage* _newImage;
	NSShadow* _shadow;
	CTGradient* _gradient;
	NSTimer *_animationTimer;
}

- (void)setBackgroundWhite:(CGFloat)inWhite;
- (void)setBackgroundColor:(NSColor *)inColor;

@end
