//
//  NSWindow_Fade.h
//  BXAppKit
//
//  Created by Mac Entwickler on 24.07.07.
//  Copyright 2007 Boinx Software / GeBe. All rights reserved.
//

#import <Cocoa/Cocoa.h>


@interface NSWindow (BXFade)

// BXFade
- (void)fadeIn:(NSTimeInterval)inFadeTimeInterval;
- (void)fadeOut:(NSTimeInterval)inFadeTimeInterval;

// UKFade
-(void)     fadeInWithDuration: (NSTimeInterval)duration;
-(void)     fadeOutWithDuration: (NSTimeInterval)duration;
-(void)		fadeToLevel: (NSInteger)lev withDuration: (NSTimeInterval)duration;

// Private:
-(void)     fadeInOneStep: (NSTimer*)timer;
-(void)     fadeOutOneStep: (NSTimer*)timer;


@end
