/*

 Owner: Michael Ehrmann <michael@boinx.com>
 Company: Boinx Software Ltd., Germany
 Projects: BXBase

 Abstract: Commonly used protocol definitions	

 */


#ifdef __OBJC__

/******************************************************************************************************
 Fake protocols supporting 10.5 SDK and 10.6 SDK
 ******************************************************************************************************/

#if defined(MAC_OS_X_VERSION_10_5) && MAC_OS_X_VERSION_MAX_ALLOWED > MAC_OS_X_VERSION_10_5
// the required protocol is declared in 10.6 Foundation
#else
// declare protocol here to avoid errors

@protocol NSMachPortDelegate
@end

@protocol NSWindowDelegate
@end

@protocol NSToolbarDelegate
@end

@protocol NSTabViewDelegate
@end

@protocol NSTextViewDelegate
@end

@protocol NSTableViewDataSource
@end

@protocol NSNetServiceDelegate
@end

@protocol NSNetServiceBrowserDelegate
@end

@protocol NSConnectionDelegate
@end

#endif

#endif