/******************************************************************************************************

	BXException.h
	Boinx Utility Framework

 ******************************************************************************************************

	Author:			Peter Baumgartner		Tel:  (+4989) 649-43875
					Rosskopfstr. 20			Mail: peter@baumgartner.com
					82031 Grünwald			
					Germany					
	
	Description:	Exception classes...
					
					Copyright © 2005 by Peter Baumgartner - All Rights Reserved

 ******************************************************************************************************/

/******************************************************************************************************
	READ ME
 ******************************************************************************************************/

	#pragma mark READ ME

	// Exception classes...


	
/******************************************************************************************************
	INCLUDES
 ******************************************************************************************************/

	#pragma mark INCLUDES



/******************************************************************************************************
	BXException
 ******************************************************************************************************/

	#pragma mark
	
	@interface BXException : NSObject
	{
		NSString* _name;
		NSString* _message;
	}
	
	+ (void) throwException:(char*)inName  message:(char*)inMessage;
	- (id)	 initWithName:(char*)inName message:(char*)inMessage;
	- (void) log;
		
	@end



/******************************************************************************************************
	BXErrException
 ******************************************************************************************************/

	#pragma mark
	
	@interface BXErrException : BXException
	{
		OSStatus _err;
	}
	
	+ (void) throwErr:(OSStatus)err message:(char*)inMessage;
	- (id) initWithErr:(OSStatus)err message:(char*)inMessage;
	- (void) log;
		
	@end



/******************************************************************************************************/
