/*

 Owner: Michael Ehrmann <michael@boinx.com>
 Company: Boinx Software Ltd., Germany
 Projects: BXBase, BXReadMeViewer

 Abstract: localize every string in a plist-file using a .strings file keeping string and translation

 Related: <#related#>

 Documentation: <#link to documentation#>

 */


@interface BXPlistLocalizer : NSObject
+ (id)localizePlist:(id)plist withTable:(NSString *)tableName inBundle:(NSBundle *)bundle;
@end
