//
//  BX_VCard.h
//  BXBase
//
//  Created by Stefan Neumärker on 26.06.07.
//  Copyright 2007 Boinx Software / GeBE Computer & Peripherie GmbH. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import <AddressBook/AddressBook.h>


@interface BX_VCard : NSObject {
	ABPerson *person;
	NSString *_companySearchPrefix;
}

+ (id)vCard;
+ (id)boinxVCard;
+ (id)kagiVCard;

- (id)initWithPerson:(ABPerson *)inPerson;

- (ABPerson *)person;
- (void)setPerson:(ABPerson *)inPerson;

- (void)setSearchPrefix:(NSString *)newPrefix;
- (NSString *)searchPrefix;

- (void)addToAddressBook;

@end
