/*

 Owner: Stefan Neumärker <stefan@boinx.com>
 Company: Boinx Software Ltd., Germany
 Projects: BXBase

 Abstract: creates a whirlpool hash from a string	

 Related: 

 Documentation: http://www.larc.usp.br/~pbarreto/WhirlpoolPage.html

 */


@interface NSString (Whirlpool_Hash)

NSMutableString * convert(const unsigned char array[], int length);

- (NSString *)whirlpoolHash;

@end
