/******************************************************************************************************

	StMovie.h
	
 ******************************************************************************************************

	Author:			Peter Baumgartner		peter@baumgartner.com
	
	Copyright:		© 2005-2006 by IMAGINE GbR - All Rights Reserved

 ******************************************************************************************************/

	#if !__LP64__

 /******************************************************************************************************
	READ ME
 ******************************************************************************************************/

	#pragma mark READ ME

	// This class installs a temporary progress callback function on the specified movie. The
	// callback function must have the following signature:
	//
	//	OSErr Progress( Movie theMovie, 
	//					short message, 
	//					short whatOperation, 
	//					Fixed percentDone, 
	//					long refcon );


	
/******************************************************************************************************
    INCLUDES
 ******************************************************************************************************/

	#pragma mark INCLUDES
	
	#import <Carbon/Carbon.h>
	#import <QuickTime/QuickTime.h>



/******************************************************************************************************
	StMovieProgress
 ******************************************************************************************************/

	class StMovieProgress
	{
		public:
		
			StMovieProgress(Movie inMovie,MovieProgressProcPtr inCallback,long inRefCon);
			~StMovieProgress();
		
		protected: 
		
			Movie _movie;
			MovieProgressUPP _upp;
	};



/******************************************************************************************************/

	#endif