/*
 
 Owner: michael@boinx.com
 Company: Boinx Software Ltd., Germany
 
 Abstract: Abstarct superclass for all BXAssistantPanesProviders. Has default implementations of all methods declared in BXAssistantPaneProviderProtocoll. Override those methods for new assistant as needed.
 
 
 Related:	BXAssistantController.h
			BXAssistantPaneProviderProtocol.h
			BXAssistantPaneProvider.h
			BXAssistantPaneProtocoll.h
			and its subclasses for all the assistants
 
 Documentation : Documentation/assistant_panes.html
 
 */

#import "BXAssistantPaneProviderProtocol.h"

@interface BXAssistantPaneProvider : NSObject <BXAssistantPaneProviderProtocol> {

}

@end
