//
//  BXBackgroundBox.h
//  Boinx AppKit Framework
//
//  Created by Florian Albrecht on 13.08.05.
//  Copyright 2005 Boinx Software. All rights reserved.
//


@interface BXBackgroundBox : NSBox {

    NSColor *_backgroundColor;
	NSColor *_frameColor;
	CGFloat _frameWidth;
}

- (id)initWithCoder:(NSCoder *)decoder;



#pragma mark -
#pragma mark accessors

- (NSColor *) backgroundColor;
- (void) setBackgroundColor: (NSColor *) newBackgroundColor;

- (NSColor *) frameColor;
- (void) setFrameColor: (NSColor *) newFrameColor;

- (CGFloat) frameWidth;
- (void) setFrameWidth: (CGFloat) newFrameWidth;


@end
