/******************************************************************************************************

	BXFormattedNumberField.h
	
 ******************************************************************************************************

	Author:			Peter Baumgartner		Tel:  (+4989) 649-43875
					Rosskopfstr. 20			Mail: peter@baumgartner.com
					82031 Grnwald			
					Germany					
	
					Copyright  2006 by Peter Baumgartner - All Rights Reserved

 ******************************************************************************************************/

/******************************************************************************************************
	READ ME
 ******************************************************************************************************/

	#pragma mark READ ME

	// This subclass works around a bug in IB. Attached formatter don't work correctly
	// in IB when bindings are also used. In this case the formatter needs to be set
	// programmatically, which is done here. The formatter string is taken directly
	// from the placeholderString, which is set in IB and retrieved in awakeFromNib...


	
/******************************************************************************************************
	BXFormattedNumberField
 ******************************************************************************************************/

	#pragma mark

	@interface BXFormattedNumberField : NSTextField

	@end



/******************************************************************************************************/
