//**********************************************************************************************************************
//
//  BXScreenChooserView.h
//
//  Author:		Peter Baumgartner, peter@baumgartner.com
//  Copyright:	©2005-2011 by IMAGINE GbR. All rights reserved.
//	Abstract:	View that displays all screens and lets you choose one
//
//**********************************************************************************************************************


#pragma mark

@interface BXScreenChooserView : NSView
{
    NSArray *_screens;
    NSUInteger _screenCount;
    NSUInteger _screenIndex;
    NSRect _screenFrame[64];
    NSRect _menubarFrame;
    BOOL _enabled;
    
    id _observedObjectForScreenIndex;
    NSString *_observedKeyPathForScreenIndex;
    id _observedObjectForEnabled;
    NSString *_observedKeyPathForEnabled;
    NSMutableDictionary *_bindingsInfo;
}

@property BOOL enabled;
@property NSUInteger screenIndex;
@property (retain) NSScreen *screen;

@end


//----------------------------------------------------------------------------------------------------------------------
