//
//  BXSplitView.h
//  BXAppKit
//
//  Created by Achim Breidenbach on 7/26/05.
//  Copyright 2005 Boinx Software. All rights reserved.
//

// #import <Cocoa/Cocoa.h> //Imported in PrefixHeader


@interface BXSplitView : NSSplitView
{
	CGFloat dividerThickness;
	
	id lastCollapsedView;
	//NSSize lastCollapsedViewFrameSize;
	CGFloat lastCollapsedViewFrameRatio;
}

- (void) initBXSplitView;
- (CGFloat) dividerThickness;
- (void) setDividerThickness:(CGFloat)newValue;
- (void) collapseView:(id)theViewToCollapse;
- (void) expandView:(id)theViewToExpand;
- (void) toggleCollapseStateOfView:(id)theViewToToggle;
- (NSSize) resizeView:(id)theViewToResize toSize:(NSSize)theNewSize;
- (NSView*) getTheOtherView:(id)aView;
- (BOOL) isViewCollapsed:(NSView*)aView;

@end
