//
//  BXHTTPPost.h
//  BXUtility
//
//  Created by Michael Ehrmann on 01.09.05.
//  Copyright 2005 Boinx Software. All rights reserved.
//

#import <Cocoa/Cocoa.h>


@interface BXHTTPPost : NSObject {
	NSDictionary* _parameterDict;
	NSURL* _url;
	NSError* _error;
}

+ (NSData*) formDataForDictionary:(NSDictionary*)parameterDict;
+ (NSData*) postFormData:(NSData*)formData withURL:(NSURL*)postURL error:(NSError**)error;

- (NSData*) submitForm;

- (NSDictionary*) parameterDict;
- (void) setParameterDict:(NSDictionary*)newParameterDict;

- (NSURL*) getURL;
- (void) setURL:(NSURL*)newURL;

- (NSError*)error;
- (void) setError:(NSError*)newError;

@end
