/*

 Owner: Stefan Neumärker <stefan@boinx.com>
 Company: Boinx Software Ltd., Germany
 Projects: BXBase

 Abstract: Remembers the last 10 time when the app ran more than 5 minutes	

 Related: 

 Documentation: 

 */


@interface BXLaunchCounter : NSObject
{
	NSDate *_launchDate;
}

+ (id)defaultController;

- (void)resetLaunchCount; 
- (NSArray *)launchDates;

@end
