/******************************************************************************************************

	BXObjectRegistry.h
	
 ******************************************************************************************************

	Author:			Peter Baumgartner		Tel:  (+4989) 649-43875
					Rosskopfstr. 20			Mail: peter@baumgartner.com
					82031 Grünwald			
					Germany					
	
					Copyright © 2006 by Peter Baumgartner - All Rights Reserved

 ******************************************************************************************************/

/******************************************************************************************************
	READ ME
 ******************************************************************************************************/

	#pragma mark READ ME

	// Utility class that stores pointer to objects that are "alive"...



	#pragma mark

/******************************************************************************************************
	BXObjectRegistry
 ******************************************************************************************************/

	@interface BXObjectRegistry : NSObject

	+ (void) registerObject:(id)inObject;
	+ (void) unregisterObject:(id)inObject;
	
	+ (BOOL) isObjectRegistered:(id)inObject;
	+ (id) registeredObject:(id)inObject;

	@end



/******************************************************************************************************/
