//
//  NSApplication_CrashReport.h
//  BXBase
//
//  Created by Stefan Neumärker on 08.11.07.
//  Copyright 2007 Boinx Software / GeBe. All rights reserved.
//

#import <Cocoa/Cocoa.h>

extern NSString * const BXCrashReporterLastDateKey;


@interface NSApplication (CrashReport)

- (void) setFirstCrashDateToToday;
- (BOOL) newCrashLogExists;
- (NSDate *)dateOfLastCrashReport;
- (NSArray *)crashLogs;
- (NSString *)pathOfLastCrashReport;
- (NSString *)crashReportText;

@end
