//
//  NSApplication_Runtime.h
//  BXBase
//
//  Created by Florian Albrecht on 10/31/07.
//  Copyright 2007 Boinx Software Ltd. All rights reserved.
//



// Constants

#define kVersionJaguar		0x1020
#define kVersionPanther		0x1030
#define kVersionTiger		0x1040
#define kVersionLeopard		0x1050
#define kVersionSnowLeopard	0x1060

#define kVersionQT6		0x06000000
#define kVersionQT7		0x07000000

	

@interface NSApplication (Runtime)

// Low-level accessors

- (SInt32)systemVersion;
- (SInt32)quickTimeVersion;
- (BOOL)runningOnSystemVersion:(SInt32)inVersion;

// High-level accessors

- (BOOL)runningInSandbox;

- (BOOL)runningOnPantherOrHigher;
- (BOOL)runningOnTigerOrHigher;
- (BOOL)runningOnLeopardOrHigher;
- (BOOL)runningOnSnowLeopardOrHigher;
- (BOOL)runningOnLionOrHigher;
- (BOOL)runningOnMountainLionOrHigher;
- (BOOL)runningOnMavericksOrHigher;

@end
