/*

 Owner: Stefan Neumärker <stefan@boinx.com>
 Company: Boinx Software Ltd., Germany

 Abstract: Category on NSString - get MAC-Address of primary interface as string.
 
 Projects: BXBase, BXQuartzComposer

 Related: <#related#>

 Documentation: <#link to documentation#>

 */

#include <IOKit/IOKitLib.h>
#include <IOKit/network/IOEthernetInterface.h>
#include <IOKit/network/IONetworkInterface.h>
#include <IOKit/network/IOEthernetController.h>

@interface NSString ( MacAddress )

#pragma mark -
#pragma mark recieve Mac Address

+ (NSString *)primaryMacAddress;

@end
