/*

 Owner: Michael Ehrmann <michael@boinx.com>
 Company: Boinx Software Ltd., Germany

 Abstract: Category on NSURL - checks and diagnoses network connections between localhost and host on URL
 
 Projects: BXBase, BXQuartzComposer

 Related: <#related#>

 Documentation: <#link to documentation#>

 */


#import <Cocoa/Cocoa.h>


@interface NSURL (Reachability)

- (BOOL) isHostReachable;

- (BOOL) showNetworkDiagnostics;
- (BOOL)isNetworkConnectionUp;

// Method -checkNetwork was deprecated due to unintuitive naming. Use isNetworkConnectionUp instead!
//- (BOOL) checkNetwork;

@end
