//
//  QCLicenseController.h
//  QuartzChartz
//
//  Created by Florian Albrecht on 05.12.06.
//  Copyright 2006 Boinx Software. All rights reserved.
//


//#import <BXQuartzComposer/BXLicenseController.h>

enum BXQCLogDomain
{
	kLogMisc = 126, // Domain number set to 126 to avoid clashes when loaded into a boinx app. 127 is the last allowed log domain.
	kLogLicensing = 127
};

@interface QCLicenseController : BXLicenseController
{
	Boolean _openedBXLogFile;
}

+ (id) chartzLicenseController;
+ (id) crawlLicenseController;
+ (id) dataLicenseController;
+ (id) fileLicenseController;

/* - (int) licenseStatusForPatch:(NSString *)identifier; */

- (void)showLicenseManager:(id)sender;

- (BOOL) isLicensedViaFxFactory;

@end
