//
//  SimpleImageProvider.h
//  PieChartLeopard
//
//  Created by Martin Pittenauer on 26.07.07.
//  Copyright 2007 TheCodingMonkeys. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import <Quartz/Quartz.h>


@interface SimpleImageProvider : NSObject <QCPlugInOutputImageProvider> {

	NSImage *image;
	
}

@property(retain, readwrite) NSImage* image;

+ providerWithImage:(NSImage *)anImage;

- (NSRect) imageBounds;
- (CGColorSpaceRef) imageColorSpace;
- (NSArray*) supportedBufferPixelFormats;
- (BOOL) renderToBuffer:(void*)baseAddress withBytesPerRow:(NSUInteger)rowBytes pixelFormat:(NSString*)format forBounds:(NSRect)bounds;


//- (BOOL) shouldColorMatch;
//- (BOOL) renderToBuffer:(void*)baseAddress withBytesPerRow:(NSUInteger)rowBytes pixelFormat:(NSString*)format forBounds:(NSRect)bounds;
//- (NSArray*) supportedRenderedTexturePixelFormats;
//- (GLuint) copyRenderedTextureForCGLContext:(CGLContextObj)cgl_ctx pixelFormat:(NSString*)format bounds:(NSRect)bounds isFlipped:(BOOL*)flipped;
//- (void) releaseRenderedTexture:(GLuint)name forCGLContext:(CGLContextObj)cgl_ctx;
//- (BOOL) canRenderWithCGLContext:(CGLContextObj)cgl_ctx;
//- (BOOL) renderWithCGLContext:(CGLContextObj)cgl_ctx forBounds:(NSRect)bounds;


@end
