//
//  BXQECSSetting.h
//  BXQuickTime
//
//  Created by Michael Ehrmann on 12.07.07.
//  Copyright 2007 Boinx Software. All rights reserved.
//

#if !__LP64__

#import "BXQECS.h"

@interface BXQECSSetting : BXQECS {

@private
	Component _component;
	ComponentInstance _componentInstance;
	NSData *_defaultExporterComponentSetting;
}


- (OSErr)exportCallbackForMovie:(Movie)theMovie message:(short)message whatOperation:(short)whatOperation  percentDone:(float)percentDone;

- (Component)component;
- (ComponentDescription)componentDescription;
- (ComponentInstance)createNewComponentInstance;
- (ComponentInstance)componentInstance;

- (NSData *)componentSettingsAtomData;
- (void)setComponentSettingsAtomData:(NSData *)inComponentSettingsData;

- (NSString *)componentName;
- (NSString *)componentInfo;
- (NSImage *)componentIcon;

- (OSType)componentType;
- (OSType)componentSupType;
- (OSType)componentManufacturer;

- (NSData *)defaultExporterComponentSetting;
- (void)setDefaultExporterComponentSetting:(NSData *)newDefaultExporterComponentSetting;

@end

#endif
