//**********************************************************************************************************************
//
//  QTMovie_BXAdditions.h
//
//  Author:		Peter Baumgartner, peter@baumgartner.com
//  Copyright:	©2010 by IMAGINE GbR. All rights reserved.
//	Abstract:	64bit compatible additions to QTMovie
//
//**********************************************************************************************************************


#pragma mark HEADERS

#import <QTKit/QTKit.h>


//----------------------------------------------------------------------------------------------------------------------


#pragma mark

@interface QTMovie (BXAdditions)

+ (BOOL) isMovieFile:(NSString *)inPath;
+ (QTMovie *) movieWithFile:(NSString *)inPath apertureMode:(NSString *)inMode error:(NSError **)outError;
- (CGImageRef) imageAtTime:(double)inTime size:(NSSize)inSize error:(NSError **)outError;

@end


//----------------------------------------------------------------------------------------------------------------------
