/******************************************************************************************************

	StDataRef.h
	
 ******************************************************************************************************

	Author:			Peter Baumgartner		peter@baumgartner.com
	
	Copyright:		� 2005-2006 by IMAGINE GbR - All Rights Reserved

 ******************************************************************************************************/

#if !__LP64__

 /******************************************************************************************************
	READ ME
 ******************************************************************************************************/

	#pragma mark READ ME

	// Creates a temporary data ref object for accessing files...


	
/******************************************************************************************************
    INCLUDES
 ******************************************************************************************************/

	#pragma mark INCLUDES
	
	#import <Carbon/Carbon.h>
	#import <Cocoa/Cocoa.h>


	
	#pragma mark

 /******************************************************************************************************
	StDataRef
 ******************************************************************************************************/

	class StDataRef
	{
		// Structors...
			
		public:
		
			StDataRef(NSString* inFile);
			~StDataRef();
			
		// Accessors...
			
		public:
		
			Handle GetDataRef() const;
			operator Handle() const;

			OSType GetType() const;
			operator OSType() const;

		// Datafields...
			
		public:
		
			Handle _dataRef;
			OSType _dataType;
	};



/******************************************************************************************************/

#endif // !_LP64
