/*

 Owner: Stefan Neumrker <stefan@boinx.com>
 Company: Boinx Software Ltd., Germany
 Projects: BXQuartzComposer

 Abstract: Converts a license key internal date (FileMaker date) to an NSCalenderDate.

 Related: <#related#>

 Documentation: <#link to documentation#>

 */


@interface BXLicenseExpireDateTransformer : NSValueTransformer {

}

- (NSCalendarDate*)convertInternalDate:(NSString*)date;

@end
